dofile("scripts/LevelManager.lua");

LManager = LevelManager.create();

LManager:AddNewTable( 1, 3, 235, 400, "assets/images/table/redtable", "assets/images/food/item_mark3", "R" );
LManager:AddNewTable( 2, 3, 305, 250, "assets/images/table/redtable", "assets/images/food/item_mark2", "R" );

useFloAsServer = 0;
useWineTable = 0;
numMoodBoosts = 0;
numServers = 1;
maxCoupleHappiness = 200;

-- Group 1
guest = LManager.GenGuest(female03);
guest.matchType = table2;
LManager:AddGuest(guest);

guest = LManager.GenGuest(male01);
guest.matchType = female03;
LManager:AddGuest(guest);

guest = LManager.GenGuest(male04);
guest.matchType = female03;
LManager:AddGuest(guest);

LManager:SetSeatingGroup(1, 3, 3000);

-- Group 2

guest = LManager.GenGuest(aunt);
guest.matchType = female03;
guest.percentRequestTissue = 50;
LManager:AddGuest(guest);

guest = LManager.GenGuest(female03);
guest.matchType = table1;
LManager:AddGuest(guest);

LManager:SetSeatingGroup(4, 5, 20000);


-- Group 3

guest = LManager.GenGuest(male01);
guest.matchType = female03;
LManager:AddGuest(guest);

LManager:SetSeatingGroup(6, 6, 36000);


-- Group 4

guest = LManager.GenGuest(female03);
guest.matchType = table2;
LManager:AddGuest(guest);

LManager:SetSeatingGroup(7, 7, 55000);

-- Group 5

guest = LManager.GenGuest(male01);
guest.matchType = female03;
LManager:AddGuest(guest);


LManager:SetSeatingGroup(8, 8, 70000);

-- Group 6 

guest = LManager.GenGuest(aunt);
guest.matchType = female03;
guest.percentRequestTissue = 50;
LManager:AddGuest(guest);

LManager:SetSeatingGroup(9, 9, 80000);

-- Group 7

guest = LManager.GenGuest(female01);
guest.matchType = female03;
LManager:AddGuest(guest);

guest = LManager.GenGuest(female03);
guest.matchType = table1;
LManager:AddGuest(guest);


LManager:SetSeatingGroup(10, 11, 90000);


LManager:AdjustGuestTolerance(150);



LManager:AddQuinnEvent( "fx/fx_chef_table_fire.lua", 660, 155, 90000 );


-- Set up the Level Settings
LManager:SetLevelNumber(1,6);
LManager:SetLevelScores(3000, 5100);
LManager:SetLevelTime(300000);

LManager:SetMusic("assets/audio/music/Big Band 4.ogg","assets/audio/music/new_dance_4.ogg","assets/audio/music/Dance Dance 1.ogg");

-- Generate Game Object
gameObject = LManager:GenerateGameObject();

-- Generate Level Settings
levelSetting = LManager:GenerateLevelSettings();

-- Generate Level Dialog
dofile( "scripts/LevelDialogGenerator.lua" );